.fe_current_wrap{
    text-align:center;
}

.fe_location{
    font-size:20px;
    font-weight:700;
}

.fe_current_temp{
    font-size:82px;
    font-weight:200;
    margin-top:10px;
    line-height:1;
}

.fe_current_sky{
    font-size:22px;
    margin-top:6px;
}

.fe_current_info{
    margin-top:10px;
    font-size:15px;
    opacity:.9;
}

/* 카드 공통 */

.fe_card{
    background:rgba(255,255,255,.15);
    backdrop-filter:blur(16px);

    border-radius:28px;

    padding:6px 5px;
    margin: 10px;

    box-shadow:
    0 4px 20px rgba(0,0,0,.12);
}

/* 시간별 */

.fe_section_header{

    display:flex;

    justify-content:space-between;

    align-items:center;

    margin-bottom:8px;
}

.fe_section_title{

    font-size:15px;

    opacity:.9;

    font-weight:600;
}

.fe_section_provider{

    font-size:12px;

    opacity:.6;
}

.fe_hourly_scroll{

    display:flex;

    overflow-x:auto;

    padding-bottom:0px;

    -ms-overflow-style:none;
    scrollbar-width:none;

}

.fe_hourly_scroll::-webkit-scrollbar{
    display:none;
}

.fe_hour_card{

    min-width:58px;

    text-align:center;

    flex-shrink:0;

    position:relative;
}

/* 구분선 */

.fe_hour_card::after{

    content:'';

    position:absolute;

    top:10px;
    right:0;

    width:1px;
    height:82px;

    background:
    rgba(255,255,255,.15);

}

.fe_hour_card:last-child::after{
    display:none;
}

.fe_hour_date{

    font-size:11px;

    opacity:.7;

    margin-bottom:10px;
}

.fe_hour_time{

    font-size:12px;

    opacity:.85;

    margin-bottom:6px;
}

.fe_hour_temp{

    font-size:16px;

    font-weight:700;

    margin-bottom:4px;
}

.fe_hour_rain{

    font-size:11px;

    color:#d9ecff;

    margin-bottom:2px;
}

.fe_hour_humidity{

    font-size:11px;

    opacity:.8;
}

.fe_hour_time{
    font-size:14px;
    opacity:.9;
}

.fe_hour_icon{
    font-size:30px;
    margin:5px 0;
}

.fe_hour_temp{
    font-size:20px;
    font-weight:700;
}

/* 상세정보 */

.fe_detail_grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:12px;
}

.fe_detail_item{
    background:rgba(255,255,255,.1);

    border-radius:20px;

    padding:18px;
}

.fe_detail_label{
    font-size:13px;
    opacity:.8;
}

.fe_detail_value{
    font-size:28px;
    margin-top:8px;
    font-weight:700;
}

.fe_hour_date{
    font-size:12px;
    opacity:.7;
    margin-bottom:6px;
}